net.corda.node.services.messaging

## Class RPCDispatcher.ObservableSerializer

- net.corda.node.services.messaging.RPCDispatcher.ObservableSerializer

- Enclosing class:
    RPCDispatcher

      public static class RPCDispatcher.ObservableSerializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `rx.Observable<java.lang.Object>` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<rx.Observable> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, rx.Observable<java.lang.Object> obj)`

- - ### Constructor Detail

    - #### ObservableSerializer

          public ObservableSerializer()

  - ### Method Detail

    - #### read

          public rx.Observable<java.lang.Object> read(com.esotericsoftware.kryo.Kryo kryo,
                                                      com.esotericsoftware.kryo.io.Input input,
                                                      java.lang.Class<rx.Observable> type)

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            rx.Observable<java.lang.Object> obj)